### Method

# Dex StateMachine interrupt

unstable since: 1.2

#### Declaration [src]

    gboolean
    dex_state_machine_interrupt (
      DexStateMachine* state_machine
    )

#### Description [src]

Cooperatively interrupts the active transition callback.

If a transition callback is currently active, its interrupt future returned by `dex_state_transition_context_wait_for_interrupt()` is resolved. This does not request a transition or change the current state; the active callback decides how to handle the interrupt.

Available since: 1.2

#### Return value

Type: `gboolean`

`TRUE` if an active transition context was marked interrupted; otherwise `FALSE`.